Bug 85487 - Symbol not properly displayed inside a chart (legend)
Summary: Symbol not properly displayed inside a chart (legend)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart-Legends
  Show dependency treegraph
 
Reported: 2014-10-26 17:07 UTC by soueipatwi
Modified: 2020-06-16 03:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sheet with charts within incorrect legend displayed (80.13 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-10-26 17:07 UTC, soueipatwi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description soueipatwi 2014-10-26 17:07:49 UTC
Created attachment 108462 [details]
Sheet with charts within incorrect legend displayed

Problem description: 
When we insert a chart with special caracters or symbols in the name of legend, this caracters won't display properly. 

Steps to reproduce:
1. insert special caracter or symbol in any cell.
2. create chart (serie) with legend bind to this cell (range for name)


Current behavior:
Legend should be able to display caracters with symbols

Expected behavior:
Legend could display all the caracters (symbols)
Comment 1 raal 2014-10-26 18:59:36 UTC
I can confirm with Version: 4.4.0.0.alpha1+
Build ID: 04ea7b24ec1b5a027efa0b850f2bc3ac7116c52e
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-10-25_08:38:01
Comment 2 QA Administrators 2015-12-20 16:19:59 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-01-03 19:50:55 UTC Comment hidden (obsolete)
Comment 4 soueipatwi 2017-01-10 17:48:44 UTC
This bus is still present in LibreOffice Calc Version: 5.2.4.2. No change compared to the behaviour of this bug.
Plaform : Win10 - 64 bits.
Comment 5 QA Administrators 2018-06-16 02:45:42 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2020-06-16 03:42:36 UTC
Dear soueipatwi,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug